#!/bin/bash

PYTHON=/usr/bin/python
DESTDIR=/
PROJECT=db-patch
VERSION=$(cat ../VERSION)
TGZ=$PROJECT-$VERSION.tar.gz
DEB_BOX=deb_box

cd ..

# Create tgz
python setup.py sdist --dist-dir=../ --prune
python setup.py clean
rm MANIFEST
find -name '*.pyc' -delete
find -name '*~' -delete

## Debian package creation
mkdir $DEB_BOX
mv ../$TGZ $DEB_BOX
cd $DEB_BOX
py2dsc $TGZ
# Customization the generic debian package
cd deb_dist/db-patch-$VERSION/debian
cp ../dist/deb/db-patch.manpages .
cp ../dist/deb/changelog .
cp ../dist/deb/docs .
cp ../dist/deb/COPYRIGHT.debian copyright
rst2man ../doc/man/man.rst > db-patch.1
cd ..

# Requires define the next enviroment variables: DEBFULLNAME and DEBEMAIL
debuild 

# Cleaning ...
cd ..
rm -rf $PROJECT-$VERSION/ $PROJECT-$VERSION.orig/
cd ../../
make -C doc/user-guide clean
