#!/bin/bash

PYTHON=/usr/bin/python
DESTDIR=/
PROJECT=db-patch
VERSION=$(cat ../VERSION)
TGZ=$PROJECT-$VERSION.tar.gz
RPM_BOX=rpm_box
USER=$(whoami)

RPMBUILD_BASE=/home/$USER/rpmbuild
RPMS=$RPMBUILD_BASE/RPMS
SOURCES=$RPMBUILD_BASE/SOURCES
SRPMS=$RPMBUILD_BASE/SRPMS
SPEC_FILE=dist/rpm/db-patch.spec

cd ..

# Create tgz
python setup.py sdist --dist-dir=../ --prune
python setup.py clean
rm MANIFEST
find -name '*.pyc' -delete
find -name '*~' -delete

# Create the RPM packages
install -d $RPM_BOX
install -d $SOURCES
rm $SOURCES/*
mv ../$TGZ $SOURCES
rpmbuild -ba $(pwd)/$SPEC_FILE

# Copying the RPM packages to RPM_BOX
`find $RPMBUILD_BASE -name "*.rpm" -exec cp {} $RPM_BOX \;`

# Clean generated docs
make -C doc/user-guide clean
