%define name db-patch
%define version 0.1
%define unmangled_version 0.1
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Execute static and dinamic SQL patches in several databases, storing the SQL generated and executed.

Group: Development/Libraries
License: LGPLv2.1 or later
Url: https://bitbucket.org/mpinedo/db-patch
Source0: %{name}-%{unmangled_version}.tar.gz
Vendor: Miguel Angel Martinez Pinedo <miguel.mpinedo@gmail.com>

Prefix: %{_prefix}
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# BuildRequires: python-docutils
# BuildRequires: python-sphinx
# Requires: python-pyodbc
# Requires: python-sqlparse


%description

 This program execute static and dinamic SQL patches in several databases. Besides it stores the SQL executed

 *) The static patches are files that contain SQL sentences.
 *) The dinamic patches are python files that can interact with the database and generate/execute SQL code dinamically.

 By default the program uses ODBC for connect with the databases; However, it also suports native connections

 Besides it is possible define new patches, connections and odbc connectors through plugins


%prep
%setup -n %{name}-%{unmangled_version}

%build
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1 
rst2man doc/man/man.rst > $RPM_BUILD_ROOT/usr/share/man/man1/db-patch.1
install -d $RPM_BUILD_ROOT/usr/share/doc/db-patch
cp -R doc/user-guide/build/* -d $RPM_BUILD_ROOT/usr/share/doc/db-patch

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
/usr/share/man/man1/db-patch.1.gz
/usr/share/doc/db-patch/doctrees/environment.pickle
/usr/share/doc/db-patch/doctrees/index.doctree
/usr/share/doc/db-patch/doctrees/user-guide.doctree
/usr/share/doc/db-patch/doctrees/dev-guide.doctree
/usr/share/doc/db-patch/html/.buildinfo
/usr/share/doc/db-patch/html/_sources/index.txt
/usr/share/doc/db-patch/html/_sources/user-guide.txt
/usr/share/doc/db-patch/html/_sources/dev-guide.txt
/usr/share/doc/db-patch/html/_static/ajax-loader.gif
/usr/share/doc/db-patch/html/_static/basic.css
/usr/share/doc/db-patch/html/_static/comment-bright.png
/usr/share/doc/db-patch/html/_static/comment-close.png
/usr/share/doc/db-patch/html/_static/comment.png
/usr/share/doc/db-patch/html/_static/default.css
/usr/share/doc/db-patch/html/_static/doctools.js
/usr/share/doc/db-patch/html/_static/down-pressed.png
/usr/share/doc/db-patch/html/_static/down.png
/usr/share/doc/db-patch/html/_static/file.png
/usr/share/doc/db-patch/html/_static/jquery.js
/usr/share/doc/db-patch/html/_static/minus.png
/usr/share/doc/db-patch/html/_static/plus.png
/usr/share/doc/db-patch/html/_static/pygments.css
/usr/share/doc/db-patch/html/_static/searchtools.js
/usr/share/doc/db-patch/html/_static/sidebar.js
/usr/share/doc/db-patch/html/_static/underscore.js
/usr/share/doc/db-patch/html/_static/up-pressed.png
/usr/share/doc/db-patch/html/_static/up.png
/usr/share/doc/db-patch/html/_static/websupport.js
/usr/share/doc/db-patch/html/genindex.html
/usr/share/doc/db-patch/html/index.html
/usr/share/doc/db-patch/html/objects.inv
/usr/share/doc/db-patch/html/search.html
/usr/share/doc/db-patch/html/searchindex.js
/usr/share/doc/db-patch/html/user-guide.html
/usr/share/doc/db-patch/html/dev-guide.html

%defattr(-,root,root)

%changelog
* Fri Jan 2 2013 Miguel A. Martinez Pinedo <miguel.mpinedo@gmail.com> - 0.1-1
- Initial packaging
