#! /usr/bin/env python

import subprocess

from distutils.core import setup


subprocess.check_call(['make', '-C', 'doc/user-guide', 'html'])
   
import dbpatch

setup(name             = 'db-patch',
      version          = dbpatch.VERSION,
      url              = dbpatch.URL,
      description      = dbpatch.SHORT_DESCRIPTION,
      long_description = dbpatch.LONG_DESCRIPTION,
      author           = dbpatch.AUTHOR,
      author_email     = dbpatch.E_MAIL,
      packages         = dbpatch.PACKAGES,
      scripts          = dbpatch.BINARIES,
      license          = dbpatch.LICENSE,
      data_files       = [
        ('/usr/share/doc/db-patch/samples/plugin/dummy',
         ['test/patches/plugin/dummy/dummy.py',
          'test/patches/plugin/dummy/test.dummy',
          'test/patches/plugin/dummy/test.raw']),
        ('/usr/share/doc/db-patch/samples/plugin/python',
         ['test/patches/plugin/python/pydummy.py',
          'test/patches/plugin/python/patches/test.py',
          'test/patches/plugin/python/patches/test.python']),
        ('/usr/share/doc/db-patch/samples/patches/python',
         ['test/patches/python/00_create_date.py',
          'test/patches/python/01_insert_date.py',
          'test/patches/python/02_delete_date.py',
          'test/patches/python/03_drop_date.py',
          'test/patches/python/20_two_dbs.py']),
        ('/usr/share/doc/db-patch/samples/patches/sql',
         ['test/patches/sql/00_create_date.sql',
          'test/patches/sql/01_insert_date.sql',
          'test/patches/sql/02_delete_date.sql',
          'test/patches/sql/03_drop_date.sql']),
        ('/usr/share/doc/db-patch/samples/patches/raw/mysql',
         ['test/patches/raw/mysql/drop_trigger.raw',
          'test/patches/raw/mysql/trigger.raw']),
        ('/usr/share/doc/db-patch/samples/patches/raw/postgresql',
         ['test/patches/raw/postgresql/drop_trigger.raw',
          'test/patches/raw/postgresql/procedure.raw',
          'test/patches/raw/postgresql/trigger.raw'])
        ]
      )

