import time
from dbpatch.patch.python import PythonPatch


class InsertTwoDbsPatch(PythonPatch):

    DB_ORIG = "test"
    DB_DEST = "filtered"
    INSERT_DATE  = "INSERT INTO date VALUES (?, '?', '?')"
    SELECT_MAYOR = "SELECT * FROM date WHERE day > 5"

    def execute(self, db):
        if db != InsertTwoDbsPatch.DB_ORIG:
            return

        self.connect_to(InsertTwoDbsPatch.DB_ORIG)

        local = time.localtime()
        for i in range(10):
            values = (i+1, str(local[1]), str(local[0]))
            statement = self.create_statement(InsertTwoDbsPatch.INSERT_DATE,
                                              values)
            status = statement.execute()

            if not status:
                self.set_error('Unable insert [%s] in db [%s]' % \
                                   (str(values), InsertTwoDbsPatch.DB_ORIG))
                return False


        select = self.create_statement(InsertTwoDbsPatch.SELECT_MAYOR)
        select.execute()
        rows = select.get_rows()
        
        self.connect_to(InsertTwoDbsPatch.DB_DEST)

        for row in rows:
            encoded = (row[0], self.encode(row[1]), self.encode(row[2]))
            statement = self.create_statement(InsertTwoDbsPatch.INSERT_DATE,
                                              encoded)
            status = statement.execute()

            if not status:
                self.set_error('Unable insert [%s] in db [%s]' % \
                                   (str(values), InsertTwoDbsPatch.DB_DEST))
                return False            

        return True
